import { ElementRef, OnChanges, Renderer2, SimpleChanges, OnDestroy } from '@angular/core';
import { Location } from '@angular/common';
import { NgxRouteHighlighterConfig, LinksEntity } from '../config/route-highlighter.model';
import { Router } from '@angular/router';
export declare class RouteHighlighterDirective implements OnChanges, OnDestroy {
    private el;
    private location;
    private r2;
    private router;
    defaultConfig: LinksEntity;
    ngxRouteHighlighter: NgxRouteHighlighterConfig;
    activeClass: string;
    ngOnDestroy(): void;
    constructor(el: ElementRef, location: Location, r2: Renderer2, router: Router);
    ngOnChanges(changes: SimpleChanges): void;
    setClass(): void;
    linkMatcher(links: any, strict?: any): boolean;
}
